(* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is TurboPower OnGuard
 *
 * ***** END LICENSE BLOCK ***** *)

{**********************************************************************
 Package pl_OnGuard.pkg
 This unit is part of CodeTyphon Project (http://www.pilotlogic.com/)
***********************************************************************}

{$I onguard.inc}



unit ogconst;
  {-Resource constants}

interface

resourcestring
  SCNoOnCheck = '%s has no OnChecked event handler assigned';
  SCNoOnGetCode = '%s has no OnGetCode event handler assigned';
  SCNoOnGetKey = '%s has no OnGetKey event handler assigned';
  SCNoOnChangeCode = '%s has no OnChangeCode event handler assigned';
  SCDeleteQuery = 'Are you sure you want to delete this item?';
  SCInvalidStartDate = 'Invalid start date';
  SCInvalidEndDate = 'Invalid end date';
  SCInvalidKeyOrModifier = 'Invalid key or modifier';
  SCInvalidExDate = 'Invalid expiration date';
  SCNoOnGetFileName = 'FileName is empty and OnGetFileName is not assigned';



const
  {ini file name used to store application keys}
  OgKeyFile    = 'onguard.ini';
  {name of section that stores application keys}
  OgKeySection = 'Keys';

const
  OgVersionStr = '1.20.1';



implementation

end.
